### A free/open-source library for quantitative finance

Public Types | Public Member Functions | Protected Member Functions
MCDiscreteGeometricAPEngine< RNG, S > Class Template Reference
Asian option engines

Monte Carlo pricing engine for discrete geometric average price Asian. More...

`#include <ql/pricingengines/asian/mc_discr_geom_av_price.hpp>`

Inheritance diagram for MCDiscreteGeometricAPEngine< RNG, S >:
[legend]

List of all members.

## Public Types

typedef MCDiscreteAveragingAsianEngine < RNG, S > ::path_generator_type | path_generator_type
typedef MCDiscreteAveragingAsianEngine < RNG, S >::path_pricer_type | path_pricer_type
typedef MCDiscreteAveragingAsianEngine < RNG, S >::stats_type | stats_type

## Public Member Functions

| MCDiscreteGeometricAPEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, bool brownianBridge, bool antitheticVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)

## Protected Member Functions

boost::shared_ptr < path_pricer_type > | pathPricer () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCDiscreteGeometricAPEngine< RNG, S >

Monte Carlo pricing engine for discrete geometric average price Asian.

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.